cutlass::ComputeOffsetFromShape< Shape_ > Struct Template Reference

Compute the offset for the given coordinates in a cube. More...

`#include <shape.h>`

## Static Public Member Functions

static CUTLASS_DEVICE int | get (int d, int h, int w, int c)

## Detailed Description

### template<typename Shape_>
struct cutlass::ComputeOffsetFromShape< Shape_ >

Template Parameters

  A | Layout Concept where each dimension of the cube specifies the corresponding stride.

## Member Function Documentation

## get()

template<typename Shape_ >

static CUTLASS_DEVICE int cutlass::ComputeOffsetFromShape< Shape_ >::get | ( | int | d,
|  | int | h,
|  | int | w,
|  | int | c
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- shape.h